Bug 1623455 - [starter] Prometheus instance on starter-us-west-1 is down
Summary: [starter] Prometheus instance on starter-us-west-1 is down
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 3.10.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.10.z
Assignee: Paul Gier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-29 12:16 UTC by Stephen Cuppett
Modified: 2019-01-10 09:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2019-01-10 09:27:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0026 None None None 2019-01-10 09:27:16 UTC

Description Stephen Cuppett 2018-08-29 12:16:32 UTC
Description of problem:

https://redhat.service-now.com/surl.do?n=INC0777220

When attempting to connect to prometheus on starter-us-west-1 (https://prometheus-openshift-devops-monitor.a3c1.starter-us-west-1.openshiftapps.com/), we see "Application is not available".
 
Looking on the host we see that the prometheus pods are stuck in terminating state:
 
[user@host ~]$ oc get all -n openshift-devops-monitor
NAME READY STATUS RESTARTS AGE
pod/prometheus-0 1/5 Terminating 86 103d


Version-Release number of selected component (if applicable):

3.10.14

Expected results:

Prometheus available

Comment 1 Paul Gier 2018-08-31 21:54:00 UTC
For some reason the prometheus container was not properly shut down previously and was in a hung state.  It should be ok now.

Comment 2 Junqi Zhao 2018-09-03 06:20:51 UTC
prometheus pod is running now
# oc get all -n openshift-devops-monitor
NAME                                 READY     STATUS    RESTARTS   AGE
pod/prometheus-0                     6/6       Running   0          2d

There is another Bug 1624697 filed

Comment 4 errata-xmlrpc 2019-01-10 09:27:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0026


Note You need to log in before you can comment on or make changes to this bug.